package kr.co.vividnext.sodalive.content

data class CreateAudioContentRequest(
    val title: String,
    val detail: String,
    val tags: String,
    val price: Int,
    val timezone: String = "Asia/Seoul",
    val releaseDate: String? = null,
    val themeId: Long = 0,
    val isAdult: Boolean = false,
    val isGeneratePreview: Boolean = true,
    val isOnlyRental: Boolean = false,
    val isCommentAvailable: Boolean = false,
    val type: AudioContentType = AudioContentType.INDIVIDUAL,
    val childIds: List<Long>? = null,
    val previewStartTime: String? = null,
    val previewEndTime: String? = null
)
