package kr.co.vividnext.sodalive.content

data class GetAudioContentListResponse(
    val totalCount: Int,
    val items: List<GetAudioContentListItem>
)

data class GetAudioContentListItem(
    val contentId: Long,
    val coverImageUrl: String,
    val title: String,
    val price: Int,
    val themeStr: String,
    val duration: String?,
    val likeCount: Int,
    val commentCount: Int,
    val isAdult: Boolean,
    val isScheduledToOpen: Boolean
)
