package kr.co.vividnext.sodalive.message

data class GetVoiceMessageResponse(
    val totalCount: Int,
    val items: List<VoiceMessageItem>
) {
    data class VoiceMessageItem(
        val messageId: Long,
        val senderId: Long,
        val senderNickname: String,
        val senderProfileImageUrl: String,
        val recipientNickname: String,
        val recipientProfileImageUrl: String,
        val voiceMessageUrl: String,
        val date: String,
        val isKept: Boolean
    )
}

data class GetTextMessageResponse(
    val totalCount: Int,
    val items: List<TextMessageItem>
) {
    data class TextMessageItem(
        val messageId: Long,
        val senderId: Long,
        val senderNickname: String,
        val senderProfileImageUrl: String,
        val recipientNickname: String,
        val recipientProfileImageUrl: String,
        val textMessage: String,
        val date: String,
        val isKept: Boolean
    )
}
