package kr.co.vividnext.sodalive.admin.calculate

import com.querydsl.core.annotations.QueryProjection

data class GetCalculateContentDonationQueryData @QueryProjection constructor(
    // 등록 크리에이터 닉네임
    val nickname: String,
    // 콘텐츠 제목
    val title: String,
    // 콘텐츠 가격
    val price: Int,
    // 콘텐츠 등록 날짜
    val registrationDate: String,
    // 후원 날짜
    val donationDate: String,
    // 인원
    val numberOfDonation: Long,
    // 합계
    val totalCan: Int
)
