package kr.co.vividnext.sodalive.content.main

import com.fasterxml.jackson.annotation.JsonProperty
import kr.co.vividnext.sodalive.content.main.banner.GetAudioContentBannerResponse
import kr.co.vividnext.sodalive.content.main.curation.GetAudioContentCurationResponse

data class GetAudioContentMainResponse(
    @JsonProperty("newContentUploadCreatorList") val newContentUploadCreatorList: List<GetNewContentUploadCreator>,
    @JsonProperty("bannerList") val bannerList: List<GetAudioContentBannerResponse>,
    @JsonProperty("orderList") val orderList: List<GetAudioContentMainItem>,
    @JsonProperty("themeList") val themeList: List<String>,
    @JsonProperty("newContentList") val newContentList: List<GetAudioContentMainItem>,
    @JsonProperty("curationList") val curationList: List<GetAudioContentCurationResponse>,
    @JsonProperty("contentRankingSortTypeList") val contentRankingSortTypeList: List<String>,
    @JsonProperty("contentRanking") val contentRanking: GetAudioContentRanking
)
