package kr.co.vividnext.sodalive.explorer

data class GetLiveRoomAllResponse(
    val totalCount: Int,
    val liveRoomList: List<LiveRoomResponse>
)

data class LiveRoomResponse(
    val roomId: Long,
    val title: String,
    val content: String,
    val isPaid: Boolean,
    val beginDateTime: String,
    val coverImageUrl: String,
    val isAdult: Boolean,
    val price: Int,
    val channelName: String?,
    val managerNickname: String,
    val isReservation: Boolean,
    val isActive: Boolean,
    val isPrivateRoom: Boolean
)
