package kr.co.vividnext.sodalive.extensions

import java.time.LocalDateTime
import java.time.format.DateTimeFormatter

fun String.convertLocalDateTime(format: String): LocalDateTime {
    val dateTimeFormatter = DateTimeFormatter.ofPattern(format)
    return LocalDateTime.parse(this, dateTimeFormatter)
}
