package kr.co.vividnext.sodalive.live.room

data class CreateLiveRoomRequest(
    val title: String,
    val content: String,
    val coverImageUrl: String? = null,
    val isAdult: Boolean,
    val tags: List<String>,
    val numberOfPeople: Int,
    val beginDateTimeString: String? = null,
    val price: Int = 0,
    val timezone: String,
    val type: LiveRoomType = LiveRoomType.OPEN,
    val password: String? = null
)
