package kr.co.vividnext.sodalive.live.roulette

import org.springframework.data.annotation.Id
import org.springframework.data.redis.core.RedisHash

@RedisHash("roulette")
data class Roulette(
    @Id
    val creatorId: Long,
    var can: Int,
    var isActive: Boolean,
    var items: List<RouletteItem> = mutableListOf()
)

data class RouletteItem(
    val title: String,
    val weight: Int
)
